#!/bin/bash

set -e

chmod 777 cache

echo "Installing Composer packages..."
if [ -f .env ]; then
    composer install
else
    composer create-project
fi

echo "Installing NPM packages..."
(cd multi && npm install)

echo "Installing Yarn packages..."
(cd public/static && yarn install)

echo "Migrating DB..."
./mapg db:migrate

set +e

/usr/sbin/php-fpm7.4 -F &
/usr/sbin/nginx -g 'daemon off;' &
/usr/bin/node --inspect=0.0.0.0:9229 multi &

wait -n

exit $?
